List CTWA CAPI event log (paginated)
GET
/v1/ctwa/capi-event-logsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
limitinteger<int64>min 1 · max 100 · default: 25
offsetinteger<int64>min 0 · default: 0
Responses
200OK
itemsCAPIEventLogDTO[] | nullrequiredShow propertiesHide properties
Array of
CAPIEventLogDTOcontact_idstringconversation_idstringcreated_atstringrequiredctwa_clidstringcurrencystringdedupe_keystringrequirederror_messagestringevent_idstringrequiredidstringrequiredmeta_event_namestringrequiredrule_idstringsignal_typestringrequiredstatusstringrequiredvalue_amountstringlimitinteger<int64>requiredoffsetinteger<int64>requiredtotalinteger<int64>required401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/ctwa/capi-event-logs"const response = await fetch("/v1/ctwa/capi-event-logs", {
method: "GET"
});import requests
response = requests.get(
"/v1/ctwa/capi-event-logs",
)Response
{
"items": [
{
"contact_id": "string",
"conversation_id": "string",
"created_at": "string",
"ctwa_clid": "string",
"currency": "string",
"dedupe_key": "string",
"error_message": "string",
"event_id": "string",
"id": "string",
"meta_event_name": "string",
"rule_id": "string",
"signal_type": "string",
"status": "string",
"value_amount": "string"
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}